salesforce.cdp.hyperdb.v1

## Interface ColumnDescriptionOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  ColumnDescription, ColumnDescription.Builder

    public interface ColumnDescriptionOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` `string name = 1;`
`com.google.protobuf.ByteString` `getNameBytes()` `string name = 1;`
`SqlType` `getType()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`SqlTypeOrBuilder` `getTypeOrBuilder()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`
`boolean` `hasType()` `.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Method Detail

#### getName

    String getName()

`string name = 1;`

Returns:
  The name.

#### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

`string name = 1;`

Returns:
  The bytes for name.

#### hasType

    boolean hasType()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

Returns:
  Whether the type field is set.

#### getType

    SqlType getType()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`

Returns:
  The type.

#### getTypeOrBuilder

    SqlTypeOrBuilder getTypeOrBuilder()

`.salesforce.hyperdb.grpc.v1.SqlType type = 2;`